Package org.eclipse.net4j.util.om

# Class OSGiActivator

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

Direct Known Subclasses:
  `OSGiActivator.WithState`

public abstract class OSGiActivator extends Object implements org.osgi.framework.BundleActivator
A default implementation of an OSGi `bundle activator` for OM `bundles`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OSGiActivator.StateHandler`
Saves and loads `bundle` state.
`static class`
`OSGiActivator.WithState`
An OSGi `activator` that stores `bundle state` between sessions.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.osgi.framework.BundleContext`
`bundleContext`

## Constructor Summary

Constructors
Constructor
Description
`OSGiActivator(OMBundle omBundle)`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`clone()`
`protected void`
`doStart()`
`protected void`
`doStop()`
`final boolean`
`equals(Object obj)`
`final OMBundle`
`getOMBundle()`
`final int`
`hashCode()`
`static void`
`start(OMBundle bundle)`
`final void`
`start(org.osgi.framework.BundleContext context)`
`static void`
`stop(OMBundle bundle)`
`final void`
`stop(org.osgi.framework.BundleContext context)`
`final String`
`toString()`
`static void`
`traceStart(org.osgi.framework.BundleContext context)`
`static void`
`traceStop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### bundleContext

protected org.osgi.framework.BundleContext bundleContext

Since:
  2.0

## Constructor Details

### OSGiActivator

public OSGiActivator(OMBundle omBundle)

## Method Details

### getOMBundle

public final OMBundle getOMBundle()

### start

public final void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### stop

public final void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### clone

protected final Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### doStart

protected void doStart() throws Exception

Throws:
  `Exception`
Since:
  2.0

### doStop

protected void doStop() throws Exception

Throws:
  `Exception`
Since:
  2.0

### start

public static void start(OMBundle bundle) throws Exception

Throws:
  `Exception`
Since:
  3.3

### stop

public static void stop(OMBundle bundle) throws Exception

Throws:
  `Exception`
Since:
  3.3

### traceStart

public static void traceStart(org.osgi.framework.BundleContext context)

Since:
  2.0

### traceStop

public static void traceStop(org.osgi.framework.BundleContext context)

Since:
  2.0